Forum Stats

  • 3,854,649 Users
  • 2,264,394 Discussions
  • 7,905,747 Comments

Discussions

Database10gインストール時のエラー

983756
983756 Member Posts: 3
edited Jan 11, 2013 2:57AM in インストール
初心者ですが失礼します。

以下の環境において、DBCAにてインスタンスを作成しました。
  Oracle:10.2.0.4

dbca を使用してデータベースを作成の際、
85%くらいで必ずエラーがでます。

<エラー内容>
Database Controlの保護中にエラーが発生しました。Database Controlが非セキュア・モードで起動されています。Database Controlを保護するには、次のコマンドを実行してください。

1) 環境変数ORACLE_SIDをBUTIに設定します。
2) C:\oracle\product\10.2.0\db_1\bin\emctl.bat stop dbconsole
3) C:\oracle\product\10.2.0\db_1\bin\emctl.bat config emkey -repos -sysman_pwd < SYSMANユーザーのパスワード >
4) C:\oracle\product\10.2.0\db_1\bin\emctl.bat secure dbconsole -sysman_pwd < SYSMANユーザーのパスワード >
5) C:\oracle\product\10.2.0\db_1\bin\emctl.bat start dbconsole

EMキーを保護するには、C:\oracle\product\10.2.0\db_1\bin\emctl.bat config emkey -remove_from_repos -sysman_pwd < SYSMANユーザーのパスワード >を実行します。
2013/01/07 18:18:00 oracle.sysman.emcp.EMConfig perform
設定: Passing warning to the caller:

上記のコマンドを実行したところ、リポジトリが壊れていますとエラーが出ました。

なぜこのようなエラーが出たのか原因がわかりません。

ご教示の程よろしくお願いいたします。

Answers

  • 983756
    983756 Member Posts: 3
    初心者ですが失礼します。

    以下の環境において、DBCAにてインスタンスを作成しました。
      Oracle:10.2.0.4

    dbca を使用してデータベースを作成の際、
    85%くらいで必ずエラーがでます。

    <エラー内容>
    Database Controlの保護中にエラーが発生しました。Database Controlが非セキュア・モードで起動されています。Database Controlを保護するには、次のコマンドを実行してください。

    1) 環境変数ORACLE_SIDをBUTIに設定します。
    2) C:\oracle\product\10.2.0\db_1\bin\emctl.bat stop dbconsole
    3) C:\oracle\product\10.2.0\db_1\bin\emctl.bat config emkey -repos -sysman_pwd < SYSMANユーザーのパスワード >
    4) C:\oracle\product\10.2.0\db_1\bin\emctl.bat secure dbconsole -sysman_pwd < SYSMANユーザーのパスワード >
    5) C:\oracle\product\10.2.0\db_1\bin\emctl.bat start dbconsole

    EMキーを保護するには、C:\oracle\product\10.2.0\db_1\bin\emctl.bat config emkey -remove_from_repos -sysman_pwd < SYSMANユーザーのパスワード >を実行します。
    2013/01/07 18:18:00 oracle.sysman.emcp.EMConfig perform
    設定: Passing warning to the caller:

    上記のコマンドを実行したところ、リポジトリが壊れていますとエラーが出ました。

    なぜこのようなエラーが出たのか原因がわかりません。

    ご教示の程よろしくお願いいたします。
  • hamadeguchi
    hamadeguchi Member Posts: 76
    ホスト名やIPなど変更していませんか?
    環境変更をするとよく壊れるのでリポジトリを再作成してください
    http://www.ilovex.co.jp/blog/system/industrysystem/oracleenterprise-manager.html
  • 983756
    983756 Member Posts: 3
    ご返答ありがとうございます。

    >ホスト名やIPなど変更していませんか?
     変更は行っておりません。

    質問に記載してなかったのですが、
    以下の作業を行い、DBCAにてインスタンスを作成しました。

     ① Oracle 9.2.0.4 アンインストール
     ② Oracle 10.2.0.1 インストール
     ③ Oracle 10.2.0.4 インストール
     ④ Oracle 10.2.0.4.2 Opatch 適用

    対処としましては、リポジトリの再作成で大丈夫なのですが、
    どうして今回のエラーがでた原因が明確にわからず困っています。
  • asahide
    asahide Expert Technical Engineer Member Posts: 1,254 Silver Trophy
    edited Jan 10, 2013 5:37PM
    上記のコマンドを実行したところ、リポジトリが壊れていますとエラーが出ました。
    こちらは具体的にどのようなエラーが出ているのでしょうか?
    エラーの番号とかコピペできるならコピペ頂けるとよいかと
  • Blueloco
    Blueloco Member Posts: 118
    本件もこれが原因なのではないでしょうか。
    2326770
    ④ Oracle 10.2.0.4.2 Opatch 適用
    10.2.0.4に修正パッチがあるかどうかはわかりませんが、10.2.0.5はPatch5が修正パッチのようですので、上記ではパッチレベルが足りないのではないでしょうか。
    「10.2.0.4と共用の認証更新のパッチもある」との情報はありますが、詳細はわかりません。
    いずれにしても、対応には保守サポート契約が必要です。
  • okie1jp
    okie1jp Member Posts: 107
    「10.2.0.4と共用の認証更新のパッチもある」との情報はありますが、詳細はわかりません。
     横からすみません。
     確かにあります。ただ、10.2.0.5であれば、これよりもPatch5以降の適用をお勧めします。実はPatch5適用後
    に当てようとして、撥ねられました(^^;。
     10.2.0.4では、上記10.2.0.5のPatch5と同時期に出たPatch42でも対応してませんでしたので、当該パッチが
    必要でした(Patch42以降でどうなっているかは確認していません)。

     他の方のスレにも書いてますが、これ以上は申し訳ありませんが、サポート契約の縛りで開示できません
    (Krown番号も、パッチ番号も知ってるんですが)。
This discussion has been closed.